[CON-2729] php Warnung beim Editieren von Frontend-Benutzern

Alle bestätigten Fehler in CONTENIDO 4.9 (erledigte Fehler werden durch geschlossene Beiträge gekennzeichnet).
Antworten
achiboy
Beiträge: 111
Registriert: Do 26. Aug 2004, 05:05
Kontaktdaten:

[CON-2729] php Warnung beim Editieren von Frontend-Benutzern

Beitrag von achiboy » Mi 20. Jun 2018, 12:30

Hallo zusammen

Ich benutze Contenido 4.9.12

Wenn ich im Backand auf "Administration" - "Frontend" gehe, erhalte ich sofort folgende Warnings:
PHP Warning: in_array() expects parameter 2 to be array, string given in papipapo/contenido/includes/include.frontend.left_top.php on line 103
PHP Warning: in_array() expects parameter 2 to be array, string given in papipapo/contenido/includes/include.frontend.user_menu.php on line 94
Kann es sein, dass da die in_array-Anweisungen verkehrt herum geschrieben sind?

Danke im Voraus für die Hilfe.

bodil
Beiträge: 97
Registriert: Fr 7. Okt 2011, 04:10
Kontaktdaten:

Re: php Warnung beim Editieren von Frontend-Benutzern

Beitrag von bodil » Mi 20. Jun 2018, 16:54

Hi!
Das ist unwahrscheinlich. Die erste Datei ist auch in vielen anderen Backend-Bereichen im Einsatz. Bei mir machen beide Dateien den Fehler nicht.
Ist denn unter Administration -> System -> Integrität alles in Ordnung?
Gibts andere spannende Meldungen im Errorlog? (Administration -> Logs -> System -> errorlog.txt
Ein erster Schritt beim Debuggen könnte sein, mal ein var_dump() auf Parameter 2 vor Ausführung des in_array() zu machen ...
Grüße!
Bodil

xmurrix
Beiträge: 2646
Registriert: Do 21. Okt 2004, 11:08
Wohnort: Augsburg
Kontaktdaten:

Re: php Warnung beim Editieren von Frontend-Benutzern

Beitrag von xmurrix » Do 21. Jun 2018, 19:28

Hallo achiboy,
achiboy hat geschrieben:
Mi 20. Jun 2018, 12:30
...Kann es sein, dass da die in_array-Anweisungen verkehrt herum geschrieben sind?...
Das scheint in der Tat ein Fehler zu sein. Die PHP-Warnung erscheint nur dann, wenn man auch ein Frontenduser-Plugin verwendet.

Die Funktion in_array() erwartet als ersten Parameter, den Wert, nach dem man sucht und als zweiten Parameter, die Liste, in der man sucht. Auf die Schnelle würde ich sagen, die Parameter umtauschen und gut ist es.

Ich mache mal dazu ein Ticket auf, danke für den Hinweis.

Grüße
xmurrix
CONTENIDO downloads: CONTENIDO 4.9.12
CONTENIDO links: Documentation, API documentation

Antworten